Latest setupBuild plugin fails with StackOverflow


(Nikita Salnikov-Tarnovski) #1

When I try to convert Netty project to gradle using 1.7 nightly I get the following:

Caused by: java.lang.StackOverflowError at org.gradle.buildsetup.plugins.internal.maven.Maven2Gradle.generateFqn(Maven2Gradle.groovy:253) at org.gradle.buildsetup.plugins.internal.maven.Maven2Gradle.this$2$generateFqn(Maven2Gradle.groovy) at org.gradle.buildsetup.plugins.internal.maven.Maven2Gradle$this$2$generateFqn.callCurrent(Unknown Source) at org.gradle.buildsetup.plugins.internal.maven.Maven2Gradle.generateFqn(Maven2Gradle.groovy:253) at org.gradle.buildsetup.plugins.internal.maven.Maven2Gradle.this$2$generateFqn(Maven2Gradle.groovy) at org.gradle.buildsetup.plugins.internal.maven.Maven2Gradle$this$2$generateFqn.callCurrent(Unknown Source) at org.gradle.buildsetup.plugins.internal.maven.Maven2Gradle.generateFqn(Maven2Gradle.groovy:253) at org.gradle.buildsetup.plugins.internal.maven.Maven2Gradle.this$2$generateFqn(Maven2Gradle.groovy) at org.gradle.buildsetup.plugins.internal.maven.Maven2Gradle$this$2$generateFqn.callCurrent(Unknown Source)


(René Groeschke) #2

I’ve raised an jira issue for this (GRADLE-2819). I’ll ping you when I have news about this problem.

cheers, René


(René Groeschke) #3

I digged a bit into this. The problem seems to be related to the parent definition in your root pom.xml. when removing the parent section

<!--<parent>
    <groupId>org.sonatype.oss</groupId>
    <artifactId>oss-parent</artifactId>
    <version>7</version>
  </parent>-->

the converter succeeds


(Mark Spritzler) #4

I tried to comment out the parent tag too, but I still get the StackOverflowError myself.

Mark